## CAISEr: Comparing Algorithms with Iterative Sample-size Estimation in R
Felipe Campelo ([fcampelo@ufmg.br](mailto:fcampelo@ufmg.br)) and Fernanda Takahashi ([fernandact@ufmg.br](mailto:fernandact@ufmg.br))  
Operations Research and Complex Systems Laboratory - ORCS Lab  
Universidade Federal de Minas Gerais  
Belo Horizonte, Brazil

***

Implementation of R package _CAISEr_, with routines for automatically 
determining the sample size needed for performing comparative experiments with 
algorithms.

To install the most up-to-date version directly from Github, simply type:

```
library(devtools)
devtools::install_github("fcampelo/CAISEr")
```

The most recent CRAN release of the package is also available for installation directly 
from the R prompt, using:

```
install.packages("CAISEr")
```

For instructions and examples of use, please take a look at the vignette 
_Adapting Algorithms for CAISEr_, and at the package documentation, particularly 
functions `run_experiment()` and `run_nreps2()`.

Please send any bug reports, questions, suggestions, chocolate (to 
Fernanda) or beers (to Felipe - we can always hope!) directly to the package 
authors listed at the top of this document.

Cheers,  
Felipe
